Get a global user's details by user ID
get
/ec-auth-svc/rest/v1.0/globalusers/{userid}
Retrieve user profile details for the specified user ID. The user ID must be a 32-character hexadecimal UUID. Returns the full user object with name, login, and email address.
Request
Path Parameters
-
userid(required): string(uuid)
User ID.Example:
3B283947D4C1149AAE16251BFDC8E9FA
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : DisplayUserDto
Type:
objectUser details including name, username, and email address.
Show Source
-
emailAddress: string
User's email address.Example:
alice.brown@email.com -
firstName: string
User's first name.Example:
Alice -
id: string
Unique identifier for the user.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
lastName: string
User's last name.Example:
Brown -
userName: string
User's login name.Example:
alicebrown
Example:
[
{
"id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"firstName":"Alice",
"lastName":"Brown",
"userName":"alicebrown",
"emailAddress":"alice.brown@email.com"
}
]Examples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object